Respected Contributor.. Paul Meaders Respected Contributor..
Respected Contributor..
374 views

Is Studio 10.51 backwards compatible

I work in several different environment, one which has OO Central v10.22 and the other has OO Central 10.51 deployed.

I see that Studio 10.51 now supports multiple workspaces.  I have different SVN repositories for each of the clients.

Can I use Studio 10.51 to develop content for both 10.22 and 10.51, using different workspaces..

I have not found any documentation describing the downward compatibility for Studio (wthin the 10.x family)

Thanks

 

 

 

Labels (1)
0 Likes
3 Replies
RoiEyal Absent Member.
Absent Member.

Re: Is Studio 10.51 backwards compatible

Studio 10.51 is backwards compatible But if you want to use Studio 10.51 to develop content for both 10.22 and 10.51 you must first verify that you have the same version of content packs dependencies on both 10.22 and 10.51 (assuming that in  10.51 you have a higher version of CP, and you'll use operation that does not exist in 10.22 dependencies, it will not work...)

0 Likes
Respected Contributor.. Paul Meaders Respected Contributor..
Respected Contributor..

Re: Is Studio 10.51 backwards compatible

Thanks, your comment regarding content packs and versions/dependencies makes perfect sense.  I assumed that I would have to be careful regarding versions and dependencies.

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: Is Studio 10.51 backwards compatible

Another area where you have to take care while developing flows in 10.51 for 10.22 is scriptlets. In 10.5x (10.50 and 10.51) with the switch to Open JDK another type of scripts was added namely nashorn scripts and are now the defaults. Older versions of OO (10.22 and lower) do not recognize these scripts and will throw errors when encountering them. (deployment to central will not be possible). 

Therefore when creating content that uses scriptlets in 10.51 for 10.22 make sure  that the scriptlets are set to rhino, not nashorn.

Obviously remote debugging from 10.51 to 10.22 central will not work because of  version missmatches, but the content itself will work.

The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.